Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 523152 - sys-apps/portage-2.2.13: cannot use "unmerge-backup" or "downgrade-backup" in FEATURES
Summary: sys-apps/portage-2.2.13: cannot use "unmerge-backup" or "downgrade-backup" in...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS, REGRESSION
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-09-18 17:56 UTC by Maxim Prokhorov
Modified: 2014-09-26 19:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge_info.txt,4.20 KB, text/plain)
2014-09-18 17:56 UTC, Maxim Prokhorov
Details
_quickpkg_dblink: fix bug #523152 (_quickpkg_dblink-fix-bug-523152.patch,3.03 KB, patch)
2014-09-19 23:05 UTC, Zac Medico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Prokhorov 2014-09-18 17:56:03 UTC
Created attachment 385058 [details]
emerge --info

Running portage-2.2.13:

$ emerge eix
$ FEATURES="unmerge-backup" emerge -C eix
...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging (1 of 1) app-portage/eix-0.29.3...
/usr/bin/python2.7: can't open file '/usr/lib/portage/python2.7/quickpkg': [Errno 2] No such file or directory
...

Where quickpkg really is:
$ qlist sys-apps/portage | grep quickpkg
/usr/bin/quickpkg
/usr/lib/python-exec/python2.7/quickpkg

Falling back to portage-2.2.8-r1 resolves the issue.
Comment 1 Zac Medico gentoo-dev 2014-09-19 23:05:21 UTC
Created attachment 385150 [details, diff]
_quickpkg_dblink: fix bug #523152

This fixes the unmerge-backup and downgrade-backup features to be compatible with the new setup.py quickpkg install location, while preserving compatibility for running from a source tree (for unit tests or developement purposes). If not running from a source tree, then the PATH variable is used to locate the quickpkg binary.

I'll be maintaining this patch in the following branch:

	https://github.com/zmedico/portage/tree/bug_523152
Comment 2 Zac Medico gentoo-dev 2014-09-19 23:25:26 UTC
(In reply to Zac Medico from comment #1)
> I'll be maintaining this patch in the following branch:
> 
> 	https://github.com/zmedico/portage/tree/bug_523152

Now it's fixed to use X_OK instead of EX_OK.
Comment 4 Brian Dolbec gentoo-dev 2014-09-26 19:18:04 UTC
Released in portage2.2.14_rc1